OverDrive App No Longer Supported on 1st Gen Kindle Fires

The OverDrive app is no longer being supported on 1st generation Kindle Fires.  This means you will get an error when you try to open the app, it is no longer in the Kindle Store, and you are not able to listen or read any titles downloaded to the app.  Additionally, you will get an error message, when attempting to visit the Ohio Digital Library website on the Kindle’s browser.

Recommended Research Database